cURL
curl --request POST \ --url 'https://sandbox.rollfi.xyz/payroll#deactivatePaySchedule' \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "method": "deactivatePaySchedule", "payScheduleId": "141D6357-CB56-42C9-951D-E80E10C5853A" } '
{ "PaySchedule": { "PayScheduleID": "1F67BE13-4E3E-4578-AC25-5660DFDE9E39", "Status": "InActive", "Message": "The PaySchedule has been deactivated successfully." } }
The deactivatePaySchedule API Deactivates an existing pay schedule (cannot be undone).
deactivatePaySchedule
⚠️ This action is permanent. Create new pay schedule if needed.
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Basic <encoded-value>
<encoded-value>
username:password
Show child attributes